/** HokeyPokey.java displays the lyrics of the Hokey-Pokey song.
 * @author Joel Adams, for Alice+Java.
 */

public class HokeyPokey {
	public static void main(String[] args) {
		System.out.println( getVerse("right foot") + "\n" +
                            getVerse("left foot")  + "\n" +
                            getVerse("right hand") + "\n" +
                            getVerse("left hand")  + "\n" +
                            getVerse("right side") + "\n" +
                            getVerse("left side")  + "\n" +
                            getVerse("nose")       + "\n" +
                            getVerse("backside")   + "\n" +
                            getVerse("head")       + "\n" +
                            getVerse("whole self") );
	}
	
	/** Method to build one verse of the song. 
	 *  @param bodyPart
	 *  @return a verse of the Hokey-Pokey song using bodyPart
	 */
	private static String getVerse(String bodyPart) {
		return "You put your " + bodyPart + " in,\n"
             + "you put your " + bodyPart + " out;\n"
             + "you put your " + bodyPart + " in,\n"
             + "and you shake it all about.\n"
             + "You do the Hokey-Pokey,\n"
             + "and you turn yourself around.\n"
             + "That's what it's all about.\n";
	}
}
